Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] openSUSE-SU-2015:0892-1: important: Update to Firefox 31.7.0esr
openSUSE Security Update: Update to Firefox 31.7.0esr
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0892-1
Rating: important
References: #925368 #930622
Cross-References: CVE-2011-3079 CVE-2015-0801 CVE-2015-0807
CVE-2015-0813 CVE-2015-0815 CVE-2015-0816
CVE-2015-2708 CVE-2015-2710 CVE-2015-2713
CVE-2015-2716
Affected Products:
openSUSE Evergreen 11.4
______________________________________________________________________________

An update that fixes 10 vulnerabilities is now available.

Description:

- update to Firefox 31.7.0esr (bnc#930622)
* MFSA 2015-46/CVE-2015-2708 Miscellaneous memory safety hazards
* MFSA 2015-47/VE-2015-0797 (bmo#1080995) Buffer overflow parsing H.264
video with Linux Gstreamer
* MFSA 2015-48/CVE-2015-2710 (bmo#1149542) Buffer overflow with SVG
content and CSS
* MFSA 2015-51/CVE-2015-2713 (bmo#1153478) Use-after-free during text
processing with vertical text enabled
* MFSA 2015-54/CVE-2015-2716 (bmo#1140537) Buffer overflow when parsing
compressed XML
* MFSA 2015-57/CVE-2011-3079 (bmo#1087565) Privilege escalation through
IPC channel messages


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Evergreen 11.4:

zypper in -t patch 2015-15=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Evergreen 11.4 (i586 x86_64):

MozillaFirefox-31.7.0-140.1
MozillaFirefox-branding-upstream-31.7.0-140.1
MozillaFirefox-buildsymbols-31.7.0-140.1
MozillaFirefox-debuginfo-31.7.0-140.1
MozillaFirefox-debugsource-31.7.0-140.1
MozillaFirefox-devel-31.7.0-140.1
MozillaFirefox-translations-common-31.7.0-140.1
MozillaFirefox-translations-other-31.7.0-140.1


References:

https://www.suse.com/security/cve/CVE-2011-3079.html
https://www.suse.com/security/cve/CVE-2015-0801.html
https://www.suse.com/security/cve/CVE-2015-0807.html
https://www.suse.com/security/cve/CVE-2015-0813.html
https://www.suse.com/security/cve/CVE-2015-0815.html
https://www.suse.com/security/cve/CVE-2015-0816.html
https://www.suse.com/security/cve/CVE-2015-2708.html
https://www.suse.com/security/cve/CVE-2015-2710.html
https://www.suse.com/security/cve/CVE-2015-2713.html
https://www.suse.com/security/cve/CVE-2015-2716.html
https://bugzilla.suse.com/925368
https://bugzilla.suse.com/930622

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages